//------------------------------------------------------------------------------
// <auto-generated>
//     This code was auto-generated by com.unity.inputsystem:InputActionCodeGenerator
//     version 1.3.0
//     from Assets/Scripts/InputController/PlayerInputSystem.inputactions
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine.InputSystem;
using UnityEngine.InputSystem.Utilities;

public partial class @PlayerInputSystem : IInputActionCollection2, IDisposable
{
    public InputActionAsset asset { get; }
    public @PlayerInputSystem()
    {
        asset = InputActionAsset.FromJson(@"{
    ""name"": ""PlayerInputSystem"",
    ""maps"": [
        {
            ""name"": ""Vaixell"",
            ""id"": ""13a609c3-4470-42a8-8dcc-e1ec91521345"",
            ""actions"": [
                {
                    ""name"": ""Moviment"",
                    ""type"": ""Value"",
                    ""id"": ""86bfc83e-c271-4f9c-8749-0baf6b1076e1"",
                    ""expectedControlType"": ""Vector2"",
                    ""processors"": """",
                    ""interactions"": """",
                    ""initialStateCheck"": true
                },
                {
                    ""name"": ""Pescar"",
                    ""type"": ""Button"",
                    ""id"": ""8b8575c9-2112-4e9d-bdce-438315200e52"",
                    ""expectedControlType"": ""Button"",
                    ""processors"": """",
                    ""interactions"": """",
                    ""initialStateCheck"": true
                },
                {
                    ""name"": ""Port"",
                    ""type"": ""Button"",
                    ""id"": ""5004a99d-aa35-4e73-8cda-e895b5b961fe"",
                    ""expectedControlType"": ""Button"",
                    ""processors"": """",
                    ""interactions"": """",
                    ""initialStateCheck"": false
                },
                {
                    ""name"": ""Inventari"",
                    ""type"": ""Button"",
                    ""id"": ""eeeb1fa7-6cd3-4de6-8a03-743f5a4d1e2a"",
                    ""expectedControlType"": ""Button"",
                    ""processors"": """",
                    ""interactions"": """",
                    ""initialStateCheck"": false
                }
            ],
            ""bindings"": [
                {
                    ""name"": ""2D Vector"",
                    ""id"": ""f8563a94-85f2-484b-9891-0eff45c20bd8"",
                    ""path"": ""2DVector"",
                    ""interactions"": """",
                    ""processors"": ""NormalizeVector2"",
                    ""groups"": """",
                    ""action"": ""Moviment"",
                    ""isComposite"": true,
                    ""isPartOfComposite"": false
                },
                {
                    ""name"": ""up"",
                    ""id"": ""98c5d556-969f-4670-b8aa-9d653b2832fd"",
                    ""path"": ""<Keyboard>/w"",
                    ""interactions"": """",
                    ""processors"": """",
                    ""groups"": """",
                    ""action"": ""Moviment"",
                    ""isComposite"": false,
                    ""isPartOfComposite"": true
                },
                {
                    ""name"": ""down"",
                    ""id"": ""54978a22-9c09-4a19-ad5c-7a81d9cc4245"",
                    ""path"": ""<Keyboard>/s"",
                    ""interactions"": """",
                    ""processors"": """",
                    ""groups"": """",
                    ""action"": ""Moviment"",
                    ""isComposite"": false,
                    ""isPartOfComposite"": true
                },
                {
                    ""name"": ""left"",
                    ""id"": ""0aa081fa-b253-4538-910f-12a8d7d8d5dd"",
                    ""path"": ""<Keyboard>/a"",
                    ""interactions"": """",
                    ""processors"": """",
                    ""groups"": """",
                    ""action"": ""Moviment"",
                    ""isComposite"": false,
                    ""isPartOfComposite"": true
                },
                {
                    ""name"": ""right"",
                    ""id"": ""c6cd76fb-e7ff-4b7b-ab1e-63cde17d1070"",
                    ""path"": ""<Keyboard>/d"",
                    ""interactions"": """",
                    ""processors"": """",
                    ""groups"": """",
                    ""action"": ""Moviment"",
                    ""isComposite"": false,
                    ""isPartOfComposite"": true
                },
                {
                    ""name"": """",
                    ""id"": ""4d667e1b-8f65-4d40-96d3-447597aac2f2"",
                    ""path"": ""<Mouse>/leftButton"",
                    ""interactions"": """",
                    ""processors"": """",
                    ""groups"": """",
                    ""action"": ""Pescar"",
                    ""isComposite"": false,
                    ""isPartOfComposite"": false
                },
                {
                    ""name"": """",
                    ""id"": ""762aa8b3-ec0e-4f09-86e0-364efcd498f4"",
                    ""path"": ""<Keyboard>/r"",
                    ""interactions"": """",
                    ""processors"": """",
                    ""groups"": """",
                    ""action"": ""Port"",
                    ""isComposite"": false,
                    ""isPartOfComposite"": false
                },
                {
                    ""name"": """",
                    ""id"": ""f1e8bc64-3a54-4102-8d67-129820b67552"",
                    ""path"": ""<Keyboard>/e"",
                    ""interactions"": """",
                    ""processors"": """",
                    ""groups"": """",
                    ""action"": ""Inventari"",
                    ""isComposite"": false,
                    ""isPartOfComposite"": false
                }
            ]
        },
        {
            ""name"": ""MinijocCanya"",
            ""id"": ""f617477b-de92-4888-89e4-a7cbf3d83af3"",
            ""actions"": [
                {
                    ""name"": ""Moviment"",
                    ""type"": ""Button"",
                    ""id"": ""0105eb91-ea8b-4b6f-9617-020a9a827b60"",
                    ""expectedControlType"": ""Button"",
                    ""processors"": """",
                    ""interactions"": ""Hold"",
                    ""initialStateCheck"": true
                }
            ],
            ""bindings"": [
                {
                    ""name"": """",
                    ""id"": ""645e2aec-3a98-45cf-9fc0-6cbe3c686e93"",
                    ""path"": ""<Mouse>/leftButton"",
                    ""interactions"": """",
                    ""processors"": """",
                    ""groups"": """",
                    ""action"": ""Moviment"",
                    ""isComposite"": false,
                    ""isPartOfComposite"": false
                }
            ]
        },
        {
            ""name"": ""MinijocXarxa"",
            ""id"": ""83965921-a93a-4657-967b-27be983a3881"",
            ""actions"": [
                {
                    ""name"": ""Exit"",
                    ""type"": ""Button"",
                    ""id"": ""6767b241-4d30-48a0-a794-6ecc76dd0c36"",
                    ""expectedControlType"": ""Button"",
                    ""processors"": """",
                    ""interactions"": """",
                    ""initialStateCheck"": false
                }
            ],
            ""bindings"": [
                {
                    ""name"": """",
                    ""id"": ""296bbe65-6542-4bf7-a8e5-55af494f89b4"",
                    ""path"": ""<Keyboard>/space"",
                    ""interactions"": """",
                    ""processors"": """",
                    ""groups"": """",
                    ""action"": ""Exit"",
                    ""isComposite"": false,
                    ""isPartOfComposite"": false
                }
            ]
        },
        {
            ""name"": ""PreMJCanya"",
            ""id"": ""5a993fcd-dcfd-4edc-ac16-e9722a0d208c"",
            ""actions"": [
                {
                    ""name"": ""Pescar"",
                    ""type"": ""Button"",
                    ""id"": ""90cb951d-282c-48b7-a18b-1136b10ca4b2"",
                    ""expectedControlType"": ""Button"",
                    ""processors"": """",
                    ""interactions"": """",
                    ""initialStateCheck"": false
                }
            ],
            ""bindings"": [
                {
                    ""name"": """",
                    ""id"": ""d58b41d9-6c74-4d1e-bc68-c2c4154ad29f"",
                    ""path"": ""<Mouse>/leftButton"",
                    ""interactions"": """",
                    ""processors"": """",
                    ""groups"": """",
                    ""action"": ""Pescar"",
                    ""isComposite"": false,
                    ""isPartOfComposite"": false
                }
            ]
        },
        {
            ""name"": ""Port"",
            ""id"": ""701c552c-8e39-437c-b5d3-bfb7ed3a8d78"",
            ""actions"": [
                {
                    ""name"": ""Moviment"",
                    ""type"": ""Value"",
                    ""id"": ""55121735-a9df-4176-a4e4-3c194ff79bd6"",
                    ""expectedControlType"": ""Vector2"",
                    ""processors"": """",
                    ""interactions"": """",
                    ""initialStateCheck"": true
                },
                {
                    ""name"": ""Inventari"",
                    ""type"": ""Button"",
                    ""id"": ""9e9a7a30-0109-4a33-bfb7-455468ff916d"",
                    ""expectedControlType"": ""Button"",
                    ""processors"": """",
                    ""interactions"": """",
                    ""initialStateCheck"": false
                },
                {
                    ""name"": ""Pesca"",
                    ""type"": ""Button"",
                    ""id"": ""4e1b34b1-b7b9-4da9-905f-f974c7a023af"",
                    ""expectedControlType"": ""Button"",
                    ""processors"": """",
                    ""interactions"": """",
                    ""initialStateCheck"": false
                },
                {
                    ""name"": ""Interactuar"",
                    ""type"": ""Button"",
                    ""id"": ""288ad586-e456-4ecc-aff2-c4649bd08a56"",
                    ""expectedControlType"": ""Button"",
                    ""processors"": """",
                    ""interactions"": """",
                    ""initialStateCheck"": false
                },
                {
                    ""name"": ""Exit"",
                    ""type"": ""Button"",
                    ""id"": ""dcedde91-a490-4340-af87-210943d9f511"",
                    ""expectedControlType"": ""Button"",
                    ""processors"": """",
                    ""interactions"": """",
                    ""initialStateCheck"": false
                }
            ],
            ""bindings"": [
                {
                    ""name"": ""2D Vector"",
                    ""id"": ""40b23ef9-6310-422d-82c9-bf666ffa2397"",
                    ""path"": ""2DVector"",
                    ""interactions"": """",
                    ""processors"": """",
                    ""groups"": """",
                    ""action"": ""Moviment"",
                    ""isComposite"": true,
                    ""isPartOfComposite"": false
                },
                {
                    ""name"": ""up"",
                    ""id"": ""9286d901-9470-4e74-ac0b-b0dcf27366fe"",
                    ""path"": ""<Keyboard>/w"",
                    ""interactions"": """",
                    ""processors"": """",
                    ""groups"": """",
                    ""action"": ""Moviment"",
                    ""isComposite"": false,
                    ""isPartOfComposite"": true
                },
                {
                    ""name"": ""down"",
                    ""id"": ""f8597b85-1f35-4e44-8aff-eac75251c6a5"",
                    ""path"": ""<Keyboard>/s"",
                    ""interactions"": """",
                    ""processors"": """",
                    ""groups"": """",
                    ""action"": ""Moviment"",
                    ""isComposite"": false,
                    ""isPartOfComposite"": true
                },
                {
                    ""name"": ""left"",
                    ""id"": ""f9be9e41-266f-4ac2-981b-816a2f42c145"",
                    ""path"": ""<Keyboard>/a"",
                    ""interactions"": """",
                    ""processors"": """",
                    ""groups"": """",
                    ""action"": ""Moviment"",
                    ""isComposite"": false,
                    ""isPartOfComposite"": true
                },
                {
                    ""name"": ""right"",
                    ""id"": ""a08b5eb1-d4fa-4934-80eb-aeb88e1fa2ea"",
                    ""path"": ""<Keyboard>/d"",
                    ""interactions"": """",
                    ""processors"": """",
                    ""groups"": """",
                    ""action"": ""Moviment"",
                    ""isComposite"": false,
                    ""isPartOfComposite"": true
                },
                {
                    ""name"": """",
                    ""id"": ""13132969-b7f8-461b-b620-4f693f293de9"",
                    ""path"": ""<Keyboard>/e"",
                    ""interactions"": """",
                    ""processors"": """",
                    ""groups"": """",
                    ""action"": ""Inventari"",
                    ""isComposite"": false,
                    ""isPartOfComposite"": false
                },
                {
                    ""name"": """",
                    ""id"": ""7112e387-a79d-4d63-a5c6-06cdd8f3596e"",
                    ""path"": ""<Mouse>/leftButton"",
                    ""interactions"": """",
                    ""processors"": """",
                    ""groups"": """",
                    ""action"": ""Pesca"",
                    ""isComposite"": false,
                    ""isPartOfComposite"": false
                },
                {
                    ""name"": """",
                    ""id"": ""939516c0-3e50-41db-aa5f-dad7447bfb97"",
                    ""path"": ""<Mouse>/rightButton"",
                    ""interactions"": """",
                    ""processors"": """",
                    ""groups"": """",
                    ""action"": ""Interactuar"",
                    ""isComposite"": false,
                    ""isPartOfComposite"": false
                },
                {
                    ""name"": """",
                    ""id"": ""858eb11d-13bb-4fba-b847-4fb300b70334"",
                    ""path"": ""<Keyboard>/escape"",
                    ""interactions"": """",
                    ""processors"": """",
                    ""groups"": """",
                    ""action"": ""Exit"",
                    ""isComposite"": false,
                    ""isPartOfComposite"": false
                }
            ]
        },
        {
            ""name"": ""MinijocBusseig"",
            ""id"": ""bdd97953-8ad4-4145-acdb-1c375638e258"",
            ""actions"": [
                {
                    ""name"": ""Moviment"",
                    ""type"": ""Value"",
                    ""id"": ""6639e0f0-f3c6-4c5f-9dcc-6e3996f0401f"",
                    ""expectedControlType"": ""Vector2"",
                    ""processors"": """",
                    ""interactions"": """",
                    ""initialStateCheck"": true
                },
                {
                    ""name"": ""Sprint"",
                    ""type"": ""Button"",
                    ""id"": ""39ef736f-9d0a-4896-a8e3-620efa28411d"",
                    ""expectedControlType"": ""Button"",
                    ""processors"": """",
                    ""interactions"": """",
                    ""initialStateCheck"": false
                },
                {
                    ""name"": ""Grab"",
                    ""type"": ""Button"",
                    ""id"": ""117af949-bd58-45c4-9753-804158a17495"",
                    ""expectedControlType"": ""Button"",
                    ""processors"": """",
                    ""interactions"": """",
                    ""initialStateCheck"": false
                },
                {
                    ""name"": ""Finish"",
                    ""type"": ""Button"",
                    ""id"": ""7591cbae-3ab6-4c7c-af60-55db442958b6"",
                    ""expectedControlType"": ""Button"",
                    ""processors"": """",
                    ""interactions"": """",
                    ""initialStateCheck"": false
                }
            ],
            ""bindings"": [
                {
                    ""name"": ""WASD"",
                    ""id"": ""3afd268c-a7d5-4a4c-ac5e-a9be3f67fadc"",
                    ""path"": ""2DVector"",
                    ""interactions"": """",
                    ""processors"": """",
                    ""groups"": """",
                    ""action"": ""Moviment"",
                    ""isComposite"": true,
                    ""isPartOfComposite"": false
                },
                {
                    ""name"": ""up"",
                    ""id"": ""4011b191-d63a-4575-80ea-2402b00d5c36"",
                    ""path"": ""<Keyboard>/w"",
                    ""interactions"": """",
                    ""processors"": """",
                    ""groups"": """",
                    ""action"": ""Moviment"",
                    ""isComposite"": false,
                    ""isPartOfComposite"": true
                },
                {
                    ""name"": ""down"",
                    ""id"": ""98943ce7-d091-4a9a-a772-8a364527cde8"",
                    ""path"": ""<Keyboard>/s"",
                    ""interactions"": """",
                    ""processors"": """",
                    ""groups"": """",
                    ""action"": ""Moviment"",
                    ""isComposite"": false,
                    ""isPartOfComposite"": true
                },
                {
                    ""name"": ""left"",
                    ""id"": ""0edd37b3-90a2-4246-965e-8e701b928319"",
                    ""path"": ""<Keyboard>/a"",
                    ""interactions"": """",
                    ""processors"": """",
                    ""groups"": """",
                    ""action"": ""Moviment"",
                    ""isComposite"": false,
                    ""isPartOfComposite"": true
                },
                {
                    ""name"": ""right"",
                    ""id"": ""6543003f-8fa9-4634-b37e-b1f0ac7722ff"",
                    ""path"": ""<Keyboard>/d"",
                    ""interactions"": """",
                    ""processors"": """",
                    ""groups"": """",
                    ""action"": ""Moviment"",
                    ""isComposite"": false,
                    ""isPartOfComposite"": true
                },
                {
                    ""name"": """",
                    ""id"": ""0e43e864-3894-4732-b170-0c80f6388d88"",
                    ""path"": ""<Keyboard>/shift"",
                    ""interactions"": ""Press"",
                    ""processors"": """",
                    ""groups"": """",
                    ""action"": ""Sprint"",
                    ""isComposite"": false,
                    ""isPartOfComposite"": false
                },
                {
                    ""name"": """",
                    ""id"": ""7cf26a43-ddeb-4df7-a7bc-39803d719c7f"",
                    ""path"": ""<Mouse>/leftButton"",
                    ""interactions"": """",
                    ""processors"": """",
                    ""groups"": """",
                    ""action"": ""Grab"",
                    ""isComposite"": false,
                    ""isPartOfComposite"": false
                },
                {
                    ""name"": """",
                    ""id"": ""36d163ba-5ea2-4b55-9b73-c2185748d815"",
                    ""path"": ""<Keyboard>/c"",
                    ""interactions"": """",
                    ""processors"": """",
                    ""groups"": """",
                    ""action"": ""Finish"",
                    ""isComposite"": false,
                    ""isPartOfComposite"": false
                }
            ]
        }
    ],
    ""controlSchemes"": []
}");
        // Vaixell
        m_Vaixell = asset.FindActionMap("Vaixell", throwIfNotFound: true);
        m_Vaixell_Moviment = m_Vaixell.FindAction("Moviment", throwIfNotFound: true);
        m_Vaixell_Pescar = m_Vaixell.FindAction("Pescar", throwIfNotFound: true);
        m_Vaixell_Port = m_Vaixell.FindAction("Port", throwIfNotFound: true);
        m_Vaixell_Inventari = m_Vaixell.FindAction("Inventari", throwIfNotFound: true);
        // MinijocCanya
        m_MinijocCanya = asset.FindActionMap("MinijocCanya", throwIfNotFound: true);
        m_MinijocCanya_Moviment = m_MinijocCanya.FindAction("Moviment", throwIfNotFound: true);
        // MinijocXarxa
        m_MinijocXarxa = asset.FindActionMap("MinijocXarxa", throwIfNotFound: true);
        m_MinijocXarxa_Exit = m_MinijocXarxa.FindAction("Exit", throwIfNotFound: true);
        // PreMJCanya
        m_PreMJCanya = asset.FindActionMap("PreMJCanya", throwIfNotFound: true);
        m_PreMJCanya_Pescar = m_PreMJCanya.FindAction("Pescar", throwIfNotFound: true);
        // Port
        m_Port = asset.FindActionMap("Port", throwIfNotFound: true);
        m_Port_Moviment = m_Port.FindAction("Moviment", throwIfNotFound: true);
        m_Port_Inventari = m_Port.FindAction("Inventari", throwIfNotFound: true);
        m_Port_Pesca = m_Port.FindAction("Pesca", throwIfNotFound: true);
        m_Port_Interactuar = m_Port.FindAction("Interactuar", throwIfNotFound: true);
        m_Port_Exit = m_Port.FindAction("Exit", throwIfNotFound: true);
        // MinijocBusseig
        m_MinijocBusseig = asset.FindActionMap("MinijocBusseig", throwIfNotFound: true);
        m_MinijocBusseig_Moviment = m_MinijocBusseig.FindAction("Moviment", throwIfNotFound: true);
        m_MinijocBusseig_Sprint = m_MinijocBusseig.FindAction("Sprint", throwIfNotFound: true);
        m_MinijocBusseig_Grab = m_MinijocBusseig.FindAction("Grab", throwIfNotFound: true);
        m_MinijocBusseig_Finish = m_MinijocBusseig.FindAction("Finish", throwIfNotFound: true);
    }

    public void Dispose()
    {
        UnityEngine.Object.Destroy(asset);
    }

    public InputBinding? bindingMask
    {
        get => asset.bindingMask;
        set => asset.bindingMask = value;
    }

    public ReadOnlyArray<InputDevice>? devices
    {
        get => asset.devices;
        set => asset.devices = value;
    }

    public ReadOnlyArray<InputControlScheme> controlSchemes => asset.controlSchemes;

    public bool Contains(InputAction action)
    {
        return asset.Contains(action);
    }

    public IEnumerator<InputAction> GetEnumerator()
    {
        return asset.GetEnumerator();
    }

    IEnumerator IEnumerable.GetEnumerator()
    {
        return GetEnumerator();
    }

    public void Enable()
    {
        asset.Enable();
    }

    public void Disable()
    {
        asset.Disable();
    }
    public IEnumerable<InputBinding> bindings => asset.bindings;

    public InputAction FindAction(string actionNameOrId, bool throwIfNotFound = false)
    {
        return asset.FindAction(actionNameOrId, throwIfNotFound);
    }
    public int FindBinding(InputBinding bindingMask, out InputAction action)
    {
        return asset.FindBinding(bindingMask, out action);
    }

    // Vaixell
    private readonly InputActionMap m_Vaixell;
    private IVaixellActions m_VaixellActionsCallbackInterface;
    private readonly InputAction m_Vaixell_Moviment;
    private readonly InputAction m_Vaixell_Pescar;
    private readonly InputAction m_Vaixell_Port;
    private readonly InputAction m_Vaixell_Inventari;
    public struct VaixellActions
    {
        private @PlayerInputSystem m_Wrapper;
        public VaixellActions(@PlayerInputSystem wrapper) { m_Wrapper = wrapper; }
        public InputAction @Moviment => m_Wrapper.m_Vaixell_Moviment;
        public InputAction @Pescar => m_Wrapper.m_Vaixell_Pescar;
        public InputAction @Port => m_Wrapper.m_Vaixell_Port;
        public InputAction @Inventari => m_Wrapper.m_Vaixell_Inventari;
        public InputActionMap Get() { return m_Wrapper.m_Vaixell; }
        public void Enable() { Get().Enable(); }
        public void Disable() { Get().Disable(); }
        public bool enabled => Get().enabled;
        public static implicit operator InputActionMap(VaixellActions set) { return set.Get(); }
        public void SetCallbacks(IVaixellActions instance)
        {
            if (m_Wrapper.m_VaixellActionsCallbackInterface != null)
            {
                @Moviment.started -= m_Wrapper.m_VaixellActionsCallbackInterface.OnMoviment;
                @Moviment.performed -= m_Wrapper.m_VaixellActionsCallbackInterface.OnMoviment;
                @Moviment.canceled -= m_Wrapper.m_VaixellActionsCallbackInterface.OnMoviment;
                @Pescar.started -= m_Wrapper.m_VaixellActionsCallbackInterface.OnPescar;
                @Pescar.performed -= m_Wrapper.m_VaixellActionsCallbackInterface.OnPescar;
                @Pescar.canceled -= m_Wrapper.m_VaixellActionsCallbackInterface.OnPescar;
                @Port.started -= m_Wrapper.m_VaixellActionsCallbackInterface.OnPort;
                @Port.performed -= m_Wrapper.m_VaixellActionsCallbackInterface.OnPort;
                @Port.canceled -= m_Wrapper.m_VaixellActionsCallbackInterface.OnPort;
                @Inventari.started -= m_Wrapper.m_VaixellActionsCallbackInterface.OnInventari;
                @Inventari.performed -= m_Wrapper.m_VaixellActionsCallbackInterface.OnInventari;
                @Inventari.canceled -= m_Wrapper.m_VaixellActionsCallbackInterface.OnInventari;
            }
            m_Wrapper.m_VaixellActionsCallbackInterface = instance;
            if (instance != null)
            {
                @Moviment.started += instance.OnMoviment;
                @Moviment.performed += instance.OnMoviment;
                @Moviment.canceled += instance.OnMoviment;
                @Pescar.started += instance.OnPescar;
                @Pescar.performed += instance.OnPescar;
                @Pescar.canceled += instance.OnPescar;
                @Port.started += instance.OnPort;
                @Port.performed += instance.OnPort;
                @Port.canceled += instance.OnPort;
                @Inventari.started += instance.OnInventari;
                @Inventari.performed += instance.OnInventari;
                @Inventari.canceled += instance.OnInventari;
            }
        }
    }
    public VaixellActions @Vaixell => new VaixellActions(this);

    // MinijocCanya
    private readonly InputActionMap m_MinijocCanya;
    private IMinijocCanyaActions m_MinijocCanyaActionsCallbackInterface;
    private readonly InputAction m_MinijocCanya_Moviment;
    public struct MinijocCanyaActions
    {
        private @PlayerInputSystem m_Wrapper;
        public MinijocCanyaActions(@PlayerInputSystem wrapper) { m_Wrapper = wrapper; }
        public InputAction @Moviment => m_Wrapper.m_MinijocCanya_Moviment;
        public InputActionMap Get() { return m_Wrapper.m_MinijocCanya; }
        public void Enable() { Get().Enable(); }
        public void Disable() { Get().Disable(); }
        public bool enabled => Get().enabled;
        public static implicit operator InputActionMap(MinijocCanyaActions set) { return set.Get(); }
        public void SetCallbacks(IMinijocCanyaActions instance)
        {
            if (m_Wrapper.m_MinijocCanyaActionsCallbackInterface != null)
            {
                @Moviment.started -= m_Wrapper.m_MinijocCanyaActionsCallbackInterface.OnMoviment;
                @Moviment.performed -= m_Wrapper.m_MinijocCanyaActionsCallbackInterface.OnMoviment;
                @Moviment.canceled -= m_Wrapper.m_MinijocCanyaActionsCallbackInterface.OnMoviment;
            }
            m_Wrapper.m_MinijocCanyaActionsCallbackInterface = instance;
            if (instance != null)
            {
                @Moviment.started += instance.OnMoviment;
                @Moviment.performed += instance.OnMoviment;
                @Moviment.canceled += instance.OnMoviment;
            }
        }
    }
    public MinijocCanyaActions @MinijocCanya => new MinijocCanyaActions(this);

    // MinijocXarxa
    private readonly InputActionMap m_MinijocXarxa;
    private IMinijocXarxaActions m_MinijocXarxaActionsCallbackInterface;
    private readonly InputAction m_MinijocXarxa_Exit;
    public struct MinijocXarxaActions
    {
        private @PlayerInputSystem m_Wrapper;
        public MinijocXarxaActions(@PlayerInputSystem wrapper) { m_Wrapper = wrapper; }
        public InputAction @Exit => m_Wrapper.m_MinijocXarxa_Exit;
        public InputActionMap Get() { return m_Wrapper.m_MinijocXarxa; }
        public void Enable() { Get().Enable(); }
        public void Disable() { Get().Disable(); }
        public bool enabled => Get().enabled;
        public static implicit operator InputActionMap(MinijocXarxaActions set) { return set.Get(); }
        public void SetCallbacks(IMinijocXarxaActions instance)
        {
            if (m_Wrapper.m_MinijocXarxaActionsCallbackInterface != null)
            {
                @Exit.started -= m_Wrapper.m_MinijocXarxaActionsCallbackInterface.OnExit;
                @Exit.performed -= m_Wrapper.m_MinijocXarxaActionsCallbackInterface.OnExit;
                @Exit.canceled -= m_Wrapper.m_MinijocXarxaActionsCallbackInterface.OnExit;
            }
            m_Wrapper.m_MinijocXarxaActionsCallbackInterface = instance;
            if (instance != null)
            {
                @Exit.started += instance.OnExit;
                @Exit.performed += instance.OnExit;
                @Exit.canceled += instance.OnExit;
            }
        }
    }
    public MinijocXarxaActions @MinijocXarxa => new MinijocXarxaActions(this);

    // PreMJCanya
    private readonly InputActionMap m_PreMJCanya;
    private IPreMJCanyaActions m_PreMJCanyaActionsCallbackInterface;
    private readonly InputAction m_PreMJCanya_Pescar;
    public struct PreMJCanyaActions
    {
        private @PlayerInputSystem m_Wrapper;
        public PreMJCanyaActions(@PlayerInputSystem wrapper) { m_Wrapper = wrapper; }
        public InputAction @Pescar => m_Wrapper.m_PreMJCanya_Pescar;
        public InputActionMap Get() { return m_Wrapper.m_PreMJCanya; }
        public void Enable() { Get().Enable(); }
        public void Disable() { Get().Disable(); }
        public bool enabled => Get().enabled;
        public static implicit operator InputActionMap(PreMJCanyaActions set) { return set.Get(); }
        public void SetCallbacks(IPreMJCanyaActions instance)
        {
            if (m_Wrapper.m_PreMJCanyaActionsCallbackInterface != null)
            {
                @Pescar.started -= m_Wrapper.m_PreMJCanyaActionsCallbackInterface.OnPescar;
                @Pescar.performed -= m_Wrapper.m_PreMJCanyaActionsCallbackInterface.OnPescar;
                @Pescar.canceled -= m_Wrapper.m_PreMJCanyaActionsCallbackInterface.OnPescar;
            }
            m_Wrapper.m_PreMJCanyaActionsCallbackInterface = instance;
            if (instance != null)
            {
                @Pescar.started += instance.OnPescar;
                @Pescar.performed += instance.OnPescar;
                @Pescar.canceled += instance.OnPescar;
            }
        }
    }
    public PreMJCanyaActions @PreMJCanya => new PreMJCanyaActions(this);

    // Port
    private readonly InputActionMap m_Port;
    private IPortActions m_PortActionsCallbackInterface;
    private readonly InputAction m_Port_Moviment;
    private readonly InputAction m_Port_Inventari;
    private readonly InputAction m_Port_Pesca;
    private readonly InputAction m_Port_Interactuar;
    private readonly InputAction m_Port_Exit;
    public struct PortActions
    {
        private @PlayerInputSystem m_Wrapper;
        public PortActions(@PlayerInputSystem wrapper) { m_Wrapper = wrapper; }
        public InputAction @Moviment => m_Wrapper.m_Port_Moviment;
        public InputAction @Inventari => m_Wrapper.m_Port_Inventari;
        public InputAction @Pesca => m_Wrapper.m_Port_Pesca;
        public InputAction @Interactuar => m_Wrapper.m_Port_Interactuar;
        public InputAction @Exit => m_Wrapper.m_Port_Exit;
        public InputActionMap Get() { return m_Wrapper.m_Port; }
        public void Enable() { Get().Enable(); }
        public void Disable() { Get().Disable(); }
        public bool enabled => Get().enabled;
        public static implicit operator InputActionMap(PortActions set) { return set.Get(); }
        public void SetCallbacks(IPortActions instance)
        {
            if (m_Wrapper.m_PortActionsCallbackInterface != null)
            {
                @Moviment.started -= m_Wrapper.m_PortActionsCallbackInterface.OnMoviment;
                @Moviment.performed -= m_Wrapper.m_PortActionsCallbackInterface.OnMoviment;
                @Moviment.canceled -= m_Wrapper.m_PortActionsCallbackInterface.OnMoviment;
                @Inventari.started -= m_Wrapper.m_PortActionsCallbackInterface.OnInventari;
                @Inventari.performed -= m_Wrapper.m_PortActionsCallbackInterface.OnInventari;
                @Inventari.canceled -= m_Wrapper.m_PortActionsCallbackInterface.OnInventari;
                @Pesca.started -= m_Wrapper.m_PortActionsCallbackInterface.OnPesca;
                @Pesca.performed -= m_Wrapper.m_PortActionsCallbackInterface.OnPesca;
                @Pesca.canceled -= m_Wrapper.m_PortActionsCallbackInterface.OnPesca;
                @Interactuar.started -= m_Wrapper.m_PortActionsCallbackInterface.OnInteractuar;
                @Interactuar.performed -= m_Wrapper.m_PortActionsCallbackInterface.OnInteractuar;
                @Interactuar.canceled -= m_Wrapper.m_PortActionsCallbackInterface.OnInteractuar;
                @Exit.started -= m_Wrapper.m_PortActionsCallbackInterface.OnExit;
                @Exit.performed -= m_Wrapper.m_PortActionsCallbackInterface.OnExit;
                @Exit.canceled -= m_Wrapper.m_PortActionsCallbackInterface.OnExit;
            }
            m_Wrapper.m_PortActionsCallbackInterface = instance;
            if (instance != null)
            {
                @Moviment.started += instance.OnMoviment;
                @Moviment.performed += instance.OnMoviment;
                @Moviment.canceled += instance.OnMoviment;
                @Inventari.started += instance.OnInventari;
                @Inventari.performed += instance.OnInventari;
                @Inventari.canceled += instance.OnInventari;
                @Pesca.started += instance.OnPesca;
                @Pesca.performed += instance.OnPesca;
                @Pesca.canceled += instance.OnPesca;
                @Interactuar.started += instance.OnInteractuar;
                @Interactuar.performed += instance.OnInteractuar;
                @Interactuar.canceled += instance.OnInteractuar;
                @Exit.started += instance.OnExit;
                @Exit.performed += instance.OnExit;
                @Exit.canceled += instance.OnExit;
            }
        }
    }
    public PortActions @Port => new PortActions(this);

    // MinijocBusseig
    private readonly InputActionMap m_MinijocBusseig;
    private IMinijocBusseigActions m_MinijocBusseigActionsCallbackInterface;
    private readonly InputAction m_MinijocBusseig_Moviment;
    private readonly InputAction m_MinijocBusseig_Sprint;
    private readonly InputAction m_MinijocBusseig_Grab;
    private readonly InputAction m_MinijocBusseig_Finish;
    public struct MinijocBusseigActions
    {
        private @PlayerInputSystem m_Wrapper;
        public MinijocBusseigActions(@PlayerInputSystem wrapper) { m_Wrapper = wrapper; }
        public InputAction @Moviment => m_Wrapper.m_MinijocBusseig_Moviment;
        public InputAction @Sprint => m_Wrapper.m_MinijocBusseig_Sprint;
        public InputAction @Grab => m_Wrapper.m_MinijocBusseig_Grab;
        public InputAction @Finish => m_Wrapper.m_MinijocBusseig_Finish;
        public InputActionMap Get() { return m_Wrapper.m_MinijocBusseig; }
        public void Enable() { Get().Enable(); }
        public void Disable() { Get().Disable(); }
        public bool enabled => Get().enabled;
        public static implicit operator InputActionMap(MinijocBusseigActions set) { return set.Get(); }
        public void SetCallbacks(IMinijocBusseigActions instance)
        {
            if (m_Wrapper.m_MinijocBusseigActionsCallbackInterface != null)
            {
                @Moviment.started -= m_Wrapper.m_MinijocBusseigActionsCallbackInterface.OnMoviment;
                @Moviment.performed -= m_Wrapper.m_MinijocBusseigActionsCallbackInterface.OnMoviment;
                @Moviment.canceled -= m_Wrapper.m_MinijocBusseigActionsCallbackInterface.OnMoviment;
                @Sprint.started -= m_Wrapper.m_MinijocBusseigActionsCallbackInterface.OnSprint;
                @Sprint.performed -= m_Wrapper.m_MinijocBusseigActionsCallbackInterface.OnSprint;
                @Sprint.canceled -= m_Wrapper.m_MinijocBusseigActionsCallbackInterface.OnSprint;
                @Grab.started -= m_Wrapper.m_MinijocBusseigActionsCallbackInterface.OnGrab;
                @Grab.performed -= m_Wrapper.m_MinijocBusseigActionsCallbackInterface.OnGrab;
                @Grab.canceled -= m_Wrapper.m_MinijocBusseigActionsCallbackInterface.OnGrab;
                @Finish.started -= m_Wrapper.m_MinijocBusseigActionsCallbackInterface.OnFinish;
                @Finish.performed -= m_Wrapper.m_MinijocBusseigActionsCallbackInterface.OnFinish;
                @Finish.canceled -= m_Wrapper.m_MinijocBusseigActionsCallbackInterface.OnFinish;
            }
            m_Wrapper.m_MinijocBusseigActionsCallbackInterface = instance;
            if (instance != null)
            {
                @Moviment.started += instance.OnMoviment;
                @Moviment.performed += instance.OnMoviment;
                @Moviment.canceled += instance.OnMoviment;
                @Sprint.started += instance.OnSprint;
                @Sprint.performed += instance.OnSprint;
                @Sprint.canceled += instance.OnSprint;
                @Grab.started += instance.OnGrab;
                @Grab.performed += instance.OnGrab;
                @Grab.canceled += instance.OnGrab;
                @Finish.started += instance.OnFinish;
                @Finish.performed += instance.OnFinish;
                @Finish.canceled += instance.OnFinish;
            }
        }
    }
    public MinijocBusseigActions @MinijocBusseig => new MinijocBusseigActions(this);
    public interface IVaixellActions
    {
        void OnMoviment(InputAction.CallbackContext context);
        void OnPescar(InputAction.CallbackContext context);
        void OnPort(InputAction.CallbackContext context);
        void OnInventari(InputAction.CallbackContext context);
    }
    public interface IMinijocCanyaActions
    {
        void OnMoviment(InputAction.CallbackContext context);
    }
    public interface IMinijocXarxaActions
    {
        void OnExit(InputAction.CallbackContext context);
    }
    public interface IPreMJCanyaActions
    {
        void OnPescar(InputAction.CallbackContext context);
    }
    public interface IPortActions
    {
        void OnMoviment(InputAction.CallbackContext context);
        void OnInventari(InputAction.CallbackContext context);
        void OnPesca(InputAction.CallbackContext context);
        void OnInteractuar(InputAction.CallbackContext context);
        void OnExit(InputAction.CallbackContext context);
    }
    public interface IMinijocBusseigActions
    {
        void OnMoviment(InputAction.CallbackContext context);
        void OnSprint(InputAction.CallbackContext context);
        void OnGrab(InputAction.CallbackContext context);
        void OnFinish(InputAction.CallbackContext context);
    }
}
